@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
*{
    margin:0;
    padding:0;
    font-family: 'Muli', sans-sarif;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #e0f7fa;
}
.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin:40px 0;
}
.container .card{
    position:relative;
    width:300px;
    height: 400px;
    margin:20px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
    border-radius:15px;
    display: flex;
    justify-content: center;
    align-items:center;
    background-size:auto 100%;
    background-position: center;
    background-repeat: no-repeat;
}
.container .card img{
    object-fit: fill;
    background-size:auto 100%;
    background-position: center;
    background-repeat: no-repeat;
    width:400px;
}
.container .card .content{
    position:absolute;
    /* to display text info, the js will increse bottom value to 0 */
    bottom:-160px;
    width:100%;
    height: 160px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index:10;
    flex-direction: column;
    box-shadow: 0 -10px 10px rgba(0,0,0,0.1);
    border:1px solid rgba(255,55,255,0.2);
    /* to make a blur effect on text background */
    backdrop-filter: blur(15px);
    transition:bottom 0.5s;
    transition-delay: 0.8x;
}
.container .card:hover .content{
    bottom:0px;
    color:#fff;
    transition-delay: 0;
}
.container .card .content .contentBx{
    color:#fff;
    text-transform: uppercase;
  letter-spacing: 2px;
  font-weight: 500;
  font-size:18px;
  text-align:center;
  margin:20px 0 15px;
  line-height: 1.1em;
  transition: 0.5s;
  opacity: 0;
  transform: translateY(-20px);
  transition-delay:0.6s ;  
}
.container .card:hover .content .contentBx h3{
    opacity:1;
    transform:translateY(0px)
}
.container .card .content .contentBx h3 span{
    font-size: 12px;
    font-weight: 300;
    text-transform: initial;
}
.container .card .content .sci{
    position: relative;
    bottom:10px;
    display: flex;
}
.container .card .content .sci li{
    list-style:none;
    margin:0 10px;
    transform: translateY(40px);
    transition: 0.5s;
    opacity:0;
    transition-delay:calc(0.2s *var(--i)) ;
}
.container .card:hover .content .sci li{
    transform:translateY(0px);
    opacity:1;
}
.container .card .content .sci li a{
    color:#fff;
    font-size:24px;
}